PushbackInputStream
Date: 2016-06-24

java.io

## Class PushbackInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.PushbackInputStream

-     public class PushbackInputStream
      extends FilterInputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buf`
    `protected int` | `pos`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushbackInputStream(InputStream var0)`
    `PushbackInputStream(InputStream var0, int var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `unread(byte[] var0)`
    `void` | `unread(byte[] var0, int var1, int var2)`
    `void` | `unread(int var0)`

    - ### Methods inherited from class java.io.FilterInputStream

      `read`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buf

          protected byte[] buf

    - #### pos

          protected int pos

  - ### Constructor Detail

    - #### PushbackInputStream

          public PushbackInputStream(InputStream var0)

    - #### PushbackInputStream

          public PushbackInputStream(InputStream var0,
                             int var1)

  - ### Method Detail

    - #### unread

          public void unread(int var0)
                      throws IOException

      Throws:
        `IOException`

    - #### unread

          public void unread(byte[] var0)
                      throws IOException

      Throws:
        `IOException`

    - #### unread

          public void unread(byte[] var0,
                    int var1,
                    int var2)
                      throws IOException

      Throws:
        `IOException`